Actualización de Java para OSX crítica

Se ha detectado un fallo de seguridad muy importante en la versión de Java para los ordenadores con OSX y para evitar problemas mayores apple ha publicado las correspondientes actualizaciones para solucionarlo. El fallo permitiría a un atacante ejecutar código arbitrario fuera del sandbox de Java para lo cual bastaría con que el usuario accediese a una página web con un applet de Java que permita explotar dicha vulnerabilidad. Esto permitiría al atacante conseguir  los privilegios del usuario que visitase la página con el applet malicioso (y como en muchos casos dicho usuario tendrá permisos de Administrador la cosa es delicada)

Los componentes afectados directamente por las vulnerabilidades críticas son ATS, ColorSync, CoreFoundation, CoreGraphics, ImageIO. Apple también advirtió sobre fallos de seguridad en MobileMe, MySQL, OpenSSL, QuickLook y QuickTime.

La actualización está disponible para sistemas Mac OS X v10.6.6 y Mac OS X v10.5.8 y es recomendable que se actualice la versión de Java cuanto antes para evitar posibles problemas (una vez más, y últimamente parecen extenderse bastante en la plataforma mac). A continuación tenéis los enlaces de descarga de las dos actualizaciones según la versión del sistema OSX instalado.

Java for Mac OS X 10.6 Update 5Java for Mac OS X 10.5 Update 10

 

Temas relacionados:

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.